ModInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class ModInfo

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.ModInfo

    public class ModInfo

extends java.lang.Object

Model of mod information

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`ModInfo(ProfileInfo profileInfo)` Creates a new ModInfo instance.

Method Summary
`int` | `getMaxOpponents()` Gets the 'max opponents' setting from the mod's RFM.
`java.lang.String` | `getName()` Gets the current mod's name.
`float` | `getRaceDuration()` Gets the race duration in seconds.
`java.io.File` | `getRFMFile()` Gets the mod's RFM file.
`java.lang.String[]` | `getVehicleFilter()` Gets the vehicle filter.
`java.io.File` | `getVehiclesFolder()` Gets the folder, where to search for .VEH files.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModInfo

    public ModInfo(ProfileInfo profileInfo)

  Creates a new ModInfo instance.

  Parameters:
    `profileInfo` -

Method Detail

### getName

    public final java.lang.String getName()

  Gets the current mod's name.

  Returns:
    the current mod's name.

### getRFMFile

    public final java.io.File getRFMFile()

  Gets the mod's RFM file.

  Returns:
    the mod's RFM file.

### getVehicleFilter

    public final java.lang.String[] getVehicleFilter()

  Gets the vehicle filter.

  Returns:
    the vehicle filter.

### getVehiclesFolder

    public final java.io.File getVehiclesFolder()

  Gets the folder, where to search for .VEH files.

  Returns:
    the folder, where to search for .VEH files.

### getMaxOpponents

    public final int getMaxOpponents()

  Gets the 'max opponents' setting from the mod's RFM.

  Returns:
    the 'max opponents' setting from the mod's RFM.

### getRaceDuration

    public final float getRaceDuration()

  Gets the race duration in seconds.

  Returns:
    the race duration in seconds.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD